 /*                 JeeNode / JeeNode USB / JeeSMD 
 -------|-----------------------|----|-----------------------|----       
 |       |D3  A1 [Port2]  D5     |    |D3  A1 [port1]  D4     |    |
 |-------|IRQ AIO +3V GND DIO PWR|    |IRQ AIO +3V GND DIO PWR|    |
 | D1|TXD|                                           ---- ----     |
 | A5|SCL|                                       D12|MISO|+3v |    |
 | A4|SDA|   Atmel Atmega 328                    D13|SCK |MOSI|D11 |
 |   |PWR|   JeeNode / JeeNode USB / JeeSMD         |RST |GND |    |
 |   |GND|                                       D8 |BO  |B1  |D9  |
 | D0|RXD|                                           ---- ----     |
 |-------|PWR DIO GND +3V AIO IRQ|    |PWR DIO GND +3V AIO IRQ|    |
 |       |    D6 [Port3]  A2  D3 |    |    D7 [Port4]  A3  D3 |    |
 -------|-----------------------|----|-----------------------|----
 */
 
#include <JeeLib.h>
#include "Sounds.h"


#define PULSE 3000  // how long to sleep in between playing, in milliseconds
#define AMP_PWR_PIN A3  // using the Mono Amp breakout board from Sparkfun which has on/off capability: https://www.sparkfun.com/products/11044


// boilerplate for low-power waiting
ISR(WDT_vect) { Sleepy::watchdogEvent(); }


volatile boolean playing = false;  // may be modified by audio playing code in interrupt thread (I think)



//--------------------------- 
// SETUP --------------------
//---------------------------

void setup () 
{
    randomSeed(analogRead(0));
  
//    Serial.begin(57600);
//    Serial.println("\n[schedule]");
    pinMode(AMP_PWR_PIN, OUTPUT);  // amp on/off pin
    digitalWrite(AMP_PWR_PIN,LOW); // turn off amp

  // turn the radio off in the most power-efficient manner
  //Sleepy::loseSomeTime(32);
  //rf12_initialize(17, RF12_868MHZ, 5);
  //rf12_sleep(RF12_SLEEP);
  // wait another 2s for the power supply to settle
  
  Sleepy::loseSomeTime(2000);
}

void loop () 
{
  
  //Sleepy::loseSomeTime(PULSE);
  // delay(100);
  //Serial.println("[back]");
  //  digitalWrite(A1,HIGH);
  
  if (!playing)
    startPlayback(sample, sizeof(sample));
}
